<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output  method="html" indent="yes"/>
  <xsl:template match="/">
      <table width="100%" cellspacing="0" cellpadding="0">
      <xsl:apply-templates select="TemplateStoreroom/Template"></xsl:apply-templates>
    </table>
  </xsl:template>
  <xsl:template  match="Template[position() mod 4 = 1]">

    <tr height="25">
      <td width="4%"></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-top:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:value-of select="name"/>
      </td>
      <td width="4%"></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-top:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:value-of select="following-sibling::Template[1]/name"/>
      </td>
      <td width="4%"></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-top:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:value-of select="following-sibling::Template[2]/name"/>
      </td>
      <td width="4%"></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-top:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:value-of select="following-sibling::Template[3]/name"/>
      </td>
      <td width="4%"></td>
    </tr>

    <tr>
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA" valign="top">
        <img>
          <xsl:attribute name="src">
            <xsl:value-of select="img"/>
          </xsl:attribute>
        </img>
      </td>
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA" valign="top">
        <img>
          <xsl:attribute name="src">
            <xsl:value-of select="following-sibling::Template[1]/img"/>
          </xsl:attribute>
        </img>
      </td>
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA" valign="top">
        <img>
          <xsl:attribute name="src">
            <xsl:value-of select="following-sibling::Template[2]/img"/>
          </xsl:attribute>
        </img>
      </td>
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;" bgcolor="#F5F8FA" valign="top">
        <img>
          <xsl:attribute name="src">
            <xsl:value-of select="following-sibling::Template[3]/img"/>
          </xsl:attribute>
        </img>
      </td>
      <td></td>
    </tr>
    <tr height="25">
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;border-bottom:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:if test="Address!='1'">
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="Path"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>在线更新</xsl:text>
          </a>
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="Path2"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>手动下载</xsl:text>
          </a>
        </xsl:if>
        <xsl:if test="Address='1'">
          <font>
            <xsl:attribute name="color">#F76E60</xsl:attribute>
            <xsl:text>已经下载</xsl:text>
          </font>
        </xsl:if>
      </td>
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;border-bottom:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:if test="following-sibling::Template[1]/Address!='1'">
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="following-sibling::Template[1]/Path"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>在线更新</xsl:text>
          </a>
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="following-sibling::Template[1]/Path2"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>手动下载</xsl:text>
          </a>
        </xsl:if>
        <xsl:if test="following-sibling::Template[1]/Address='1'">
          <font>
            <xsl:attribute name="color">#F76E60</xsl:attribute>
            <xsl:text>已经下载</xsl:text>
          </font>
        </xsl:if>
      </td>
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;border-bottom:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:if test="following-sibling::Template[2]/Address!='1'">
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="following-sibling::Template[2]/Path"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>在线更新</xsl:text>
          </a>
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="following-sibling::Template[2]/Path2"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>手动下载</xsl:text>
          </a>
        </xsl:if>
        <xsl:if test="following-sibling::Template[2]/Address='1'">
          <font>
            <xsl:attribute name="color">#F76E60</xsl:attribute>
            <xsl:text>已经下载</xsl:text>
          </font>
        </xsl:if>
      </td>
      <td></td>
      <td align="center" style=" border-left:solid 1px #3a6ea5;border-right:solid 1px #3a6ea5;border-bottom:solid 1px #3a6ea5;" bgcolor="#F5F8FA">
        <xsl:element name="br"></xsl:element>
        <xsl:if test="following-sibling::Template[3]/Address!='1'">
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="following-sibling::Template[3]/Path"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>在线更新</xsl:text>
          </a>
          <a>
            <xsl:attribute name="href">
              <xsl:value-of select="following-sibling::Template[3]/Path2"/>
            </xsl:attribute>
            <xsl:attribute name="onclick">
              <xsl:text>return confirm('确定要下载吗?');</xsl:text>
            </xsl:attribute>
            <xsl:text>手动下载</xsl:text>
          </a>
        </xsl:if>
        <xsl:if test="following-sibling::Template[3]/Address='1'">
          <font>
            <xsl:attribute name="color">#F76E60</xsl:attribute>
            <xsl:text>已经下载</xsl:text>
          </font>
        </xsl:if>
      </td>
      <td></td>
    </tr>
    <tr height="20"> 
    </tr>
  </xsl:template>
  <xsl:template  match="Template"/>
</xsl:stylesheet>

